//super form
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "hugo"
			if player.powers[pw_super]
				player.charability = CA_FLOAT
				player.charflags = $|SF_MULTIABILITY
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "hugo"
			if not player.powers[pw_super]
				player.charability = CA_JUMPTHOK
				player.charflags = SF_STOMPDAMAGE|SF_DASHMODE|SF_NOSUPERSPRITES|SF_STOMPDAMAGE|SF_SUPER
			end
		end
	end
end)

//bounce
addHook("JumpSpinSpecial", function(player)
    if player.mo and player.mo.skin == "hugo" 
	and player.pflags & PF_JUMPED
	and player.powers[pw_super]
	and not(player.mo.state == S_PLAY_ROLL) 
		P_SetObjectMomZ(player.mo, 6*FRACUNIT, false)
		player.mo.state = S_PLAY_STND
		player.f = P_SpawnGhostMobj(player.mo)
        player.f.fuse = 8
		player.f.color = player.mo.color
        player.f.blendmode = AST_ADD
	end
end)


addHook("ThinkFrame", do
	for player in players.iterate
		if not player.mo return end 
		if player.mo.skin == "hugo"
			if player.mo.state == S_PLAY_SPRING
			and (player.pflags & PF_JUMPED)
			and not (player.mo.eflags & MFE_SPRUNG)
				player.mo.state = S_PLAY_ROLL
				P_InstaThrust(player.mo, player.mo.angle, 46*FRACUNIT)
				S_StartSound(player.mo, sfx_s23c, player)
			end
		end
	end
end)


addHook("MobjThinker", function(mobj)
	local player = mobj.player
	if (player.mo and player.mo.skin == "hugo")
		
	// Bounce Attack
		if player.rebound and player.mo.state == S_PLAY_SPRING then
           P_SetObjectMomZ(player.mo, 28*FRACUNIT)
		   S_StartSound(player.mo, sfx_sprong)
        end
		
		if(player.pflags & PF_JUMPED)
			and(player.cmd.buttons & BT_SPIN)
			and not(player.prevspin)
			and not player.atwall
			and not player.powers[pw_super]
				P_SetObjectMomZ(player.mo, -26*FRACUNIT, false)
				player.pflags = $1|PF_THOKKED
				player.rebound = true
				player.mo.state = S_PLAY_ROLL
			end
				
			if(player.rebound)
			and(P_IsObjectOnGround(player.mo))
				P_SetObjectMomZ(player.mo, 15*FRACUNIT, false)
				player.pflags = $1|PF_JUMPED 
				player.rebound = false
				player.mo.state = S_PLAY_ROLL
				S_StartSound(player.mo, sfx_bnce2)
			end
				
			if(player.rebound)
				if not(player.pflags & PF_JUMPED)
					player.rebound = false
				end
			end
			
			
				
			player.prevspin = player.cmd.buttons & BT_SPIN
			
			
	end
end, MT_PLAYER)
           
addHook("ThinkFrame", do
	for player in players.iterate
		if not player.mo return end 
		if player.mo.skin == "hugo"
			if (player.pflags & PF_JUMPED)
			and not player.cling
			end
		end
	end
end)