//if on ground, taunt,
addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "ginger" or  player.mo.skin == "cherry") and (player.cmd.buttons & BT_TOSSFLAG) then
			if P_IsObjectOnGround(player.mo)
				if player.weapondelay == 0*TICRATE
					if not (player.mo.state == S_PLAY_MELEE or player.mo.state == S_PLAY_MELEE_FINISH or player.mo.state == S_PLAY_DASH)
						player.mo.state = S_PLAY_MELEE
						player.weapondelay = 1*TICRATE
						P_SpawnPlayerMissile(player.mo, MT_VICTORY)
					end
				end
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" and (player.cmd.buttons & BT_TOSSFLAG) then
			if P_IsObjectOnGround(player.mo)
				if player.weapondelay == 0*TICRATE
					if not (player.mo.state == S_PLAY_FIRE or player.mo.state == S_PLAY_FIRE_FINISH or player.mo.state == S_PLAY_DASH)
						player.mo.state = S_PLAY_FIRE
						player.weapondelay = 1*TICRATE
						P_SpawnPlayerMissile(player.mo, MT_VICTORY)
					end
				end
			end
		end
	end
end)

//if tauting, stop
addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "max" or player.mo.skin == "ginger" or player.mo.skin == "cherry") and (player.cmd.buttons & BT_TOSSFLAG) then
			if player.weapondelay == 0*TICRATE
				if player.mo.state == S_PLAY_DASH
					player.mo.state = S_PLAY_STND
					player.weapondelay = 1*TICRATE
				end
			end
		end
	end
end)

//if exiting, taunt
addHook("ThinkFrame", function()
    for player in players.iterate do
        if (player.mo.skin == "ginger" or player.mo.skin == "cherry") and player.exiting then
			if P_IsObjectOnGround(player.mo)
				if not (player.mo.state == S_PLAY_MELEE or player.mo.state == S_PLAY_MELEE_FINISH or player.mo.state == S_PLAY_DASH)
					player.mo.state = S_PLAY_MELEE
					P_SpawnPlayerMissile(player.mo, MT_VICTORY)
				end
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" and player.exiting then
			if P_IsObjectOnGround(player.mo)
				if not (player.mo.state == S_PLAY_FIRE or player.mo.state == S_PLAY_FIRE_FINISH or player.mo.state == S_PLAY_DASH)
					player.mo.state = S_PLAY_FIRE
					P_SpawnPlayerMissile(player.mo, MT_VICTORY)
				end
			end
		end
	end
end)

//can't move while taunting
addHook("ThinkFrame", function()
    for player in players.iterate do
		if player.mo.skin == "cherry" or player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_MELEE or player.mo.state == S_PLAY_MELEE_FINISH or player.mo.state == S_PLAY_DASH then
				player.speed = 0
				player.mo.momx = 0*FRACUNIT
				player.mo.momy = 0*FRACUNIT
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
		if player.mo.skin == "max"
			if player.mo.state == S_PLAY_FIRE or player.mo.state == S_PLAY_FIRE_FINISH or player.mo.state == S_PLAY_DASH then
				player.speed = 0
				player.mo.momx = 0*FRACUNIT
				player.mo.momy = 0*FRACUNIT
			end
		end
	end
end)

//keep last frame of victory pose
addHook("ThinkFrame", function()
    for player in players.iterate do
		if player.mo.skin == "cherry" or player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_MELEE_FINISH then
				player.mo.state = S_PLAY_DASH
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
		if player.mo.skin == "max"
			if player.mo.state == S_PLAY_FIRE_FINISH then
				player.mo.state = S_PLAY_DASH
			end
		end
	end
end)