//super stomp
addHook("JumpSpinSpecial", function(player)
	if player.mo.skin == "cherry"
		player.mo.state = S_PLAY_GLIDE
		P_RadiusAttack(player.mo, player.mo, 60*FRACUNIT, DMG_NUKE, true)
		P_SetObjectMomZ(player.mo, -19*FRACUNIT, true)
		S_StartSound(player.mo, sfx_zoom)
		P_InstaThrust(player.mo, player.mo.angle, 0*FRACUNIT)
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" and player.mo.state == S_PLAY_GLIDE
			P_SpawnGhostMobj(player.mo)
			player.mo.momx = 0*FRACUNIT
			player.momy = 0*FRACUNIT
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" 
			if player.mo.state == S_PLAY_GLIDE
				player.powers[pw_strong] = STR_FLOOR|STR_SPIKE|STR_SPRING|STR_ANIM
			end
		end
	end
end)

//dash
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" and (player.cmd.buttons & BT_CUSTOM1)
			if player.weapondelay == 0*TICRATE
				P_InstaThrust(player.mo, player.mo.angle, 63*FRACUNIT)
				player.mo.momz = 0*FRACUNIT
				S_StartSound(player.mo, sfx_zoom)
				player.mo.state = S_PLAY_TWINSPIN
				player.weapondelay = 1*TICRATE
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry"
			if player.mo.state == S_PLAY_TWINSPIN
				player.powers[pw_strong] = STR_WALL|STR_PUNCH|STR_ANIM
				P_SpawnGhostMobj(player.mo)
			end
		end
	end
end)

//boxing glove
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" and (player.cmd.buttons & BT_CUSTOM2)
			if player.tossdelay == 0*TICRATE
				P_InstaThrust(player.mo, player.mo.angle, player.speed + 15*FRACUNIT)
				S_StartSound(player.mo, sfx_mswing)
				player.mo.state = S_PLAY_FIRE
				player.tossdelay = 3*TICRATE
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry"
			if player.mo.state == S_PLAY_FIRE
				player.powers[pw_strong] = STR_WALL|STR_SPIKE|STR_PUNCH|STR_ANIM
				P_SpawnGhostMobj(player.mo)
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" 
			if not player.mo.state == S_PLAY_FIRE
				player.powers[pw_strong] = STR_NONE
			end
		end
	end
end)

//arm cannon
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "cherry" and (player.cmd.buttons & BT_CUSTOM3)
			if player.tossdelay == 0*TICRATE
				P_InstaThrust(player.mo, player.mo.angle, -22*FRACUNIT)
				P_SpawnPlayerMissile(player.mo, MT_CANONLASER)
				S_StartSound(player.mo, sfx_s3k45)
				player.mo.state = S_PLAY_SHOOT
				player.tossdelay = 5*TICRATE
			end
		end
	end
end)

local function hudstuff(v, player, cam)
	if (player.mo and player.mo.skin == "cherry")
		v.drawString(32, 150, "Boxing and Canon Cooldown:" + player.tossdelay, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_YELLOWMAP|V_PERPLAYER)
		v.drawFill(32, 150, player.tossdelay/3, 32)
	end
end

hud.add(hudstuff, player)

local function hudstuff(v, player, cam)
	if (player.mo and player.mo.skin == "cherry")
		v.drawString(32, 140, "Dash Cooldown:" + player.weapondelay, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_BLUEMAP|V_PERPLAYER)
		v.drawFill(32, 140, player.weapondelay/3, 32)
	end
end

hud.add(hudstuff, player)