//airdash
addHook("JumpSpinSpecial", function(player)
	if player.mo.skin == "ginger"
		if player.weapondelay == TICRATE*0
			player.mo.state = S_PLAY_TWINSPIN
			P_RadiusAttack(player.mo, player.mo, 60*FRACUNIT, DMG_NUKE, true)
			P_SetObjectMomZ(player.mo, 5*FRACUNIT, true)
			S_StartSound(player.mo, sfx_zoom)
			P_InstaThrust(player.mo, player.mo.angle, 56*FRACUNIT)
			player.weapondelay = TICRATE*1
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_TWINSPIN
				player.powers[pw_strong] = STR_WALL|STR_PUNCH|STR_ANIM
				player.mo.momz = 0*FRACUNIT
			end
		end
	end
end)

//clawspin
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger" and (player.cmd.buttons & BT_CUSTOM1)
			if player.weapondelay == 0*TICRATE
				P_SetObjectMomZ(player.mo, 4*FRACUNIT, true)
				P_InstaThrust(player.mo, player.mo.angle, player.speed + 4*FRACUNIT)
				S_StartSound(player.mo, sfx_zoom)
				player.mo.state = S_PLAY_FIRE
				player.pflags = $|PF_JUMPED
				player.weapondelay = 1*TICRATE
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_FIRE
				player.charability = CA_GLIDEANDCLIMB
				P_RadiusAttack(player.mo, player.mo, 75*FRACUNIT, DMG_NUKE, true)
				player.pflags = $|PF_CANCARRY
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_FIRE or player.mo.state == S_PLAY_GLIDE or player.mo.state == S_PLAY_GLIDE_LANDING or player.mo.state == S_PLAY_CLING or player.mo.state == S_PLAY_CLIMB
				player.charability = CA_GLIDEANDCLIMB
				player.pflags = $|PF_CANCARRY
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if not (player.mo.state == S_PLAY_FIRE or player.mo.state == S_PLAY_GLIDE or player.mo.state == S_PLAY_GLIDE_LANDING or player.mo.state == S_PLAY_CLING or player.mo.state == S_PLAY_CLIMB)
				player.charability = CA_AIRDRILL
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_FIRE
				player.powers[pw_strong] = STR_WALL|STR_ATTACK|STR_SPIKE|STR_ANIM
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if not player.mo.state == S_PLAY_FIRE
				player.powers[pw_strong] = STR_NONE
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "ginger"
			if player.mo.state == S_PLAY_GLIDE
				P_SetObjectMomZ(player.mo, -1*FRACUNIT, true)
			end
		end
	end
end)

local function hudstuff(v, player, cam)
	if (player.mo and player.mo.skin == "ginger")
		v.drawString(32, 140, "Scratch and Dash Cooldown:" + player.weapondelay, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_BLUEMAP|V_PERPLAYER)
		v.drawFill(32, 140, player.weapondelay/3, 32)
	end
end

hud.add(hudstuff, player)