addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" then
			player.pflags = $|PF_CANCARRY
        end
    end
end)

//glide
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" and (player.cmd.buttons & BT_SPIN)
			if not (P_IsObjectOnGround(player.mo) or player.mo.state == S_PLAY_MELEE or player.mo.state == S_PLAY_MELEE_FINISH or player.playerstate == PST_DEAD or player.powers[pw_super])
				player.mo.momz = -1 * FRACUNIT
				player.mo.state = S_PLAY_FALL
			end
		end
	end
end)

//tornado jump
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" and (player.cmd.buttons & BT_CUSTOM1) then
			if not (player.mo.state == S_PLAY_TWINSPIN or player.mo.state == S_PLAY_MELEE or player.mo.state == S_PLAY_MELEE_FINISH or player.mo.state == S_PLAY_DASH or player.mo.state == S_PLAY_PAIN or player.playerstate == PST_DEAD)
				if player.weapondelay == 0*TICRATE
					P_InstaThrust(player.mo, player.mo.angle, player.speed + 9*FRACUNIT)
					player.mo.state = S_PLAY_TWINSPIN
					P_SetObjectMomZ(player.mo, 10*FRACUNIT, true)
					player.weapondelay = 1*TICRATE
					player.pflags = $|PF_JUMPED
				end
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" then
			if player.mo.state == S_PLAY_TWINSPIN
				player.powers[pw_strong] = STR_FLOOR|STR_SPIKE|STR_SPRING|STR_WALL|STR_PUNCH|STR_ANIM
			end
		end
	end
end)

//arm canon
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max" and (player.cmd.buttons & BT_CUSTOM2) then
			if not player.exiting or player.mo.state == S_PLAY_PAIN or player.playerstate == PST_DEAD
				if player.tossdelay == 0*TICRATE
					P_InstaThrust(player.mo, player.mo.angle, -9*FRACUNIT)
					P_SpawnPlayerMissile(player.mo, MT_MAXLASER)
					player.mo.state = S_PLAY_SHOOT
					player.tossdelay = 5*TICRATE
				end
			end
		end
	end
end)

//gets knocked back farther
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max"
			if P_PlayerInPain(player)
				P_InstaThrust(player.mo, player.mo.angle, -7*FRACUNIT)
			end
		end
	end
end)

//super form
addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max"
			if player.powers[pw_super]
				player.charability = CA_FLY
				player.powers[pw_tailsfly] = 100*TICRATE
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max"
			if player.powers[pw_tailsfly] == 8*TICRATE
				player.powers[pw_tailsfly] = 100*TICRATE	
			end
		end
	end
end)

addHook("ThinkFrame", function()
    for player in players.iterate do
        if player.mo.skin == "max"
			if not player.powers[pw_super]
				player.charability = CA_DOUBLEJUMP
			end
		end
	end
end)

local function hudstuff(v, player, cam)
	if (player.mo and player.mo.skin == "max")
		v.drawString(32, 150, "Tornado Jump Cooldown:" + player.weapondelay, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_BLUEMAP|V_PERPLAYER)
		v.drawFill(32, 150, player.weapondelay/3, 32)
	end
end

hud.add(hudstuff, player)

local function hudstuff(v, player, cam)
	if (player.mo and player.mo.skin == "max")
		v.drawString(32, 140, "Arm Canon Cooldown:" + player.tossdelay, V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_SKYMAP|V_PERPLAYER)
		v.drawFill(32, 140, player.tossdelay/3, 32)
	end
end

hud.add(hudstuff, player)